Get the terms
curl --request GET \
--url https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"productCode": "stablecoin-fx-pe",
"required": true,
"version": "6689343a7bf5dffb",
"url": "https://rio.trade/terms",
"label": "Stablecoin FX terms",
"text": "<string>",
"accepted": true,
"acceptedAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}Onboarding
Get the terms
The terms the user has to accept for this onboarding: the text and/or page to show them, the version to send back when they accept, and whether they already have. required is false when the product asks for no terms.
GET
/
api
/
users
/
{id}
/
onboarding
/
{productCode}
/
terms
Get the terms
curl --request GET \
--url https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms \
--header 'x-api-key: <api-key>'import requests
url = "https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.sandbox.rio.trade/api/users/{id}/onboarding/{productCode}/terms")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"productCode": "stablecoin-fx-pe",
"required": true,
"version": "6689343a7bf5dffb",
"url": "https://rio.trade/terms",
"label": "Stablecoin FX terms",
"text": "<string>",
"accepted": true,
"acceptedAt": "2023-11-07T05:31:56Z"
}{
"errors": [
{
"code": 1,
"message": "User not found"
}
]
}Path Parameters
Response
OK